ALTER TABLE REZERVAC_DETAIL
ADD STATUS_REZERVAC NUMBER;

UPDATE REZERVAC_DETAIL
SET STATUS_REZERVAC=(SELECT STATUS_REZERVAC FROM REZERVAC WHERE REZERVAC_DETAIL.ID_REZERVAC=REZERVAC.ID)
WHERE STATUS_REZERVAC IS NULL;

-- Popravek pogleda V_REZERVAC, odstranjen stolpec PRISOTNO, narejen JOIN na tabelo KUPCI, dodan ID_POGODBE in TIP_PLOVILA_LONG
CREATE OR REPLACE VIEW V_REZERVAC AS (
	SELECT R.ID, D.ID_REZERVAC_DETAIL, R.ID_POGODBE, D.DATUM_OD AS DATUM_REZERVACIJE, D.DATUM_DO, 
	NP.OBJEKT AS NOBJEKT, NP.N_PRIVEZA AS PRIVEZ, D.ID_PRIVEZ, R.VRSTA, D.STATUS_REZERVAC, R.ID_LASTNIKA, R.ID_PLOVILA, 
	(CASE WHEN R.ID_LASTNIKA IS NULL OR R.ID_LASTNIKA = 0 THEN R.NAZIV ELSE K.PRIIMEK END) AS NAZIV, 
	(CASE WHEN R.ID_LASTNIKA IS NULL OR R.ID_LASTNIKA = 0 THEN R.PRIIMEK ELSE K.PRIIMEK END) AS PRIIMEK,
	(CASE WHEN R.ID_LASTNIKA IS NULL OR R.ID_LASTNIKA = 0 THEN R.IME ELSE K.IME END) AS IME, K.SALDAKONTI_SIT,
	(CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN R.PLOVILO ELSE P.IME END) AS PLOVILO, 
	(CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN R.DOLZINA ELSE P.DOLZINA END) AS DOLZINA,
	(CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN R.SIRINA ELSE P.SIRINA END) AS SIRINA,
	(CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN R.GREZ ELSE P.GREZ END) AS GREZ,
	(CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN 'J' ELSE P.NTIP END) AS NTIP,
	(CASE WHEN R.ID_PLOVILA IS NULL OR R.ID_PLOVILA = 0 THEN (SELECT OPIS FROM NNTIP WHERE SIFRA = 'J') ELSE NT.OPIS END) AS TIP_PLOVILA_LONG
	FROM REZERVAC R
	JOIN REZERVAC_DETAIL D ON R.ID=D.ID_REZERVAC
	LEFT OUTER JOIN NNPRIVEZ NP ON D.ID_PRIVEZ=NP.ID_PRIVEZ 
	LEFT OUTER JOIN KUPCI K ON K.ID = R.ID_LASTNIKA
	LEFT OUTER JOIN PLOVILA P ON P.ID = R.ID_PLOVILA
	LEFT OUTER JOIN NNTIP NT ON NT.SIFRA = P.NTIP
	WHERE R.STORNO IS NULL AND R.DATUM_DO IS NOT NULL
);

insert into verzije_baza (id, dt_vpis, verzija, ver_nr, opis) 
values 
(389, SYSDATE, '5.5', 309, 'REZERVAC_DETAIL');